package org.objectweb.jonas.jtests.beans.relation.lcp;


public class SIMPLECHILDPK implements java.io.Serializable {

    // Variables
    public String scPkId;

    // Methods
    public int hashCode() {
        return scPkId.hashCode();
    }

    public String toString() {
        return "" + scPkId;
    }

    public boolean equals(Object obj) {
        if (obj == null || !(obj instanceof SIMPLECHILDPK)) {
            return false;
        } else if (((SIMPLECHILDPK) obj).scPkId.equals(this.scPkId)) {
            return true;
        } else {
            return false;
        }
    }

}
